<template>
<div class="home">
  <div class="row">
    <div class="col s12 m12 l12 right">
      <div class="card" id="fijacion">
        <div class="card-content tamaño-tar">
          <img src="../../src/assets/img/logo-sin-fondo.png" id="img-logo" width="auto" height="100px">
        </div>
        <div class="card-tabs">
          <ul class="tabs">
            <li class="tab"><a class="active" href="#inicio_sesion">Inicio de sesión</a></li>
            <li class="tab"><a href="#registrate">Regístrate</a></li>
          </ul>
        </div>
        <div class="card-content grey lighten-4">
          <div id="inicio_sesion">
            <div class="row">
              <form class="col s12" name="login" v-on:submit.prevent="login">
                <div class="row card-panel">
                  <div class="input-field col s12">
                    <i class="material-icons prefix">account_circle</i>
                    <input id="avatarLogin" type="text" class="validate" ref="avatarLogin">
                    <label for="avatarLogin">Avatar</label>
                  </div>
                  <div class="input-field col s12">
                    <i class="material-icons prefix">lock</i>
                    <input id="contraseniaLogin" type="password" class="validate" ref="contraseniaLogin">
                    <label for="contraseniaLogin">Contraseña</label>
                  </div>
                  <div class="col s6 offset-s6 right-align">
                    <button class="btn lime darken-4" type="submit">
                      Iniciar
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
          <div id="registrate">
            <div class="row">
              <form class="col s12" name="register" v-on:submit.prevent="register" data-netlify="true" data-netlify-honeypot="bot-field">
                <div class="row card-panel">
                  <div class="input-field col s6">
                    <i class="material-icons prefix">person</i>
                    <input id="nombre" type="text" v-model="nombre">
                    <label for="nombre">Nombre</label>
                  </div>
                  <div class="input-field col s6">
                    <i class="material-icons prefix">person_outline</i>
                    <input id="apellido" type="text" v-model="apellido">
                    <label for="apellido">Apellido</label>
                  </div>
                  <div class="input-field col s12">
                    <i class="material-icons prefix">mail</i>
                    <input id="correo" type="text" v-model="correo">
                    <label for="correo">Correo</label>
                  </div>
                  <div class="input-field col s6">
                    <i class="material-icons prefix">account_circle</i>
                    <input id="avatar" type="text" v-model="avatar">
                    <label for="avatar">Avatar</label>
                  </div>
                  <div class="input-field col s6">
                    <i class="material-icons prefix">lock</i>
                    <input id="contrasenia" type="password" class="validate" v-model="contrasenia">
                    <label for="contrasenia">Contraseña</label>
                  </div>
                  <div class="col s6 offset-s6 right-align">
                    <button class="btn lime darken-4" type="submit">
                      Registrar
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</template>
<script type="text/javascript">
export default {
  data() {
    return {
      nombre: '',
      apellido: '',
      correo: '',
      avatar: '',
      contrasenia: '',
      avatarLogin: '',
      contraseniaLogin: '',
      registro: [{
        Nombre: 'admin',
        Apellido: 'ramirez',
        Correo: 'admin-123@app.com',
        Avatar: 'admin',
        Contrasenia: 'app-123',
      }]
    }
  },
  mounted() {
    this.firstUser();
  },
  methods: {
    firstUser() {
      this.$parent.setStorage('usuario', this.registro);
    },
    login() {
      const StorageObject = this.$parent.getStorage('usuario');
      const results = StorageObject.filter(item => item.Avatar === this.$refs.avatarLogin.value);

      results.length > 0 ?
        this.logInUser(results[0]) :
        this.$parent.Sweetalert('El usuario no esta en nuestra BD', 'error');
    },
    logInUser(userFound) {
      userFound.Avatar === this.$refs.avatarLogin.value && userFound.Contrasenia === this.$refs.contraseniaLogin.value ?
        this.actionLogInUser(userFound, '/Movie') :
        this.$parent.Sweetalert('Avatar/Contraseña incorrecto', 'error');
    },
    actionLogInUser(userFound, router) {
      this.$parent.Sweetalert('¡¡Bienvenido a PelisTV, que lo disfrutes!!');
      this.$parent.setStorage('userLog', userFound);
      this.$parent.storage = true;
      this.$parent.setStorage('storage', this.$parent.storage);
      setTimeout(function() {
        window.location = router;
      }, 1200);
    },
    register() {
      this.registro.push({
        Nombre: this.nombre,
        Apellido: this.apellido,
        Aorreo: this.correo,
        Avatar: this.avatar,
        Contrasenia: this.contrasenia,
      });
      this.$parent.setStorage('usuario', this.registro); // localStorage.usuario = JSON.stringify(this.registro);
    },
  }
}
</script>
<style>
#fijacion {
  width: 25em;
  height: auto;
  margin-top: 80px;
  margin-left: auto;
  margin-right: auto;
}

.tamaño-tar {
  height: 120px;
}
</style>
